{-------------------------------------------------------------------------------
                  Arquivo .inc para libsk_access.so V1.2
-------------------------------------------------------------------------------}
Const
   lib = 'sk_access_tcp';

type
   Tproc = Procedure(Wparam,Lparam : longword); cdecl;
   TMSg = Procedure (var Msg: TMessage); cdecl;

   UInt = LongWord;
   Tsockets=record
     ip:array[0..255] of UInt;
   end;
   PTsockets=^Tsockets;

   Tkey_def = record
      scan,ascii:char;
   end;
   PTkey_def = ^Tkey_def;
{-------------------------------------------------------------------------------
                        Procedures externas
-------------------------------------------------------------------------------}
Function Alive(client:integer):boolean; cdecl; external lib;
Function Ascii(Scan_code:byte):char; cdecl; external lib;
Function Back_Space:Boolean; cdecl; external lib;
Function Carriage_Return:Boolean; cdecl; external lib;
Function Clear_Disp:Boolean; cdecl; external lib;
Function Clear_L1:Boolean; cdecl; external lib;
Function Clear_L2:Boolean; cdecl; external lib;
Procedure Clr_Caps; cdecl; external lib;
Procedure Clr_Num; cdecl; external lib;
Procedure Clr_Scrl; cdecl; external lib;
Function Cursor_Blink:Boolean; cdecl; external lib;
Function Cursor_Off:Boolean; cdecl; external lib;
Function Cursor_On:Boolean; cdecl; external lib;
Function Disp(data:PChar):Boolean; cdecl; external lib;
Function Disp_Char(data:char):Boolean; cdecl; external lib;
Procedure Flush; cdecl; external lib;
Procedure Free_Sk_Access; cdecl; external lib;
Function Get_Block(block:byte;buffer:Pbyte):boolean; cdecl;external lib;
Procedure Get_Client_IP(ip:Pchar); cdecl; external lib;
Function Get_Client_Type(client:integer):integer; cdecl;external lib;
Function Get_Cursor(x_pos:pointer;y_pos:pointer):byte; cdecl;external lib;
Function Get_Data(buffer:PTkey_def;size:integer):integer; cdecl;external lib;
Procedure Get_Dll_Version(ver:PChar); cdecl; external lib;
Procedure Get_Firmware_Version(ver:PChar); cdecl; external lib;
Procedure Get_Host_IP(ip:Pchar); cdecl; external lib;
Function Get_MClient(cl:integer):integer; cdecl; external lib;
Function Get_Same_Ip(client:integer):integer; cdecl; external lib;
Function Get_SClient(cl:integer):integer; cdecl; external lib;
Procedure Get_State_String(Lparam: longword;size:integer;delimiter:char);cdecl; external lib;
Function Get_Status:byte; cdecl; external lib;
Function Gotoxy(col,line:byte):Boolean; cdecl; external lib;
Function Inv_IP_HEX(ip:Dword):Dword; cdecl; external lib;
Function IP_ascii2HEX(ip_ascii:Pchar):Dword; cdecl; external lib;
Function IP_HEX2ascii(buffer:Pchar; ip:Dword):Pchar; cdecl; external lib;
Procedure Keyb_Reset; cdecl; external lib;
Procedure Kill_Server; cdecl; external lib;
Function Line_Feed:Boolean; cdecl; external lib;
Procedure List_Clients(lista:PTsockets); cdecl; external lib;
Function Lock_Ip(client:integer;ip:Pchar):boolean; cdecl; external lib;
Procedure Log_Off; cdecl; external lib;
Procedure Log_On(level:integer); cdecl; external lib;
Function Mount_State_String(Lparam:longword):integer; cdecl; external lib;
Function Ping(client:integer):boolean; cdecl; external lib;
Procedure ProccessMessages; cdecl; external lib;
Function Recall(mem:integer):double; cdecl; external lib;
Function Recall_String(str:Pchar;mem:integer):Pchar; cdecl; external lib;
Procedure Register_State(state:integer ; Proc : Tproc); cdecl; external lib;
Procedure Reset_Interface; cdecl; external lib;
Function Reset_Protocol:boolean; cdecl; external lib;
Procedure Run_Silent; cdecl; external lib;
Function Save(nro:double;mem:integer):boolean; cdecl; external lib;
Function Save_String(str:Pchar;mem:integer):boolean; cdecl; external lib;
Function Send_Block(data:pointer;size:integer):boolean; cdecl; external lib;
Function Send_Data(data:byte):boolean; cdecl; external lib;
Function Send_Disp_Ctrl(data:byte):boolean; cdecl; external lib;
Procedure Set_Caps; cdecl; external lib;
Function Set_Client(client:integer):integer; cdecl; external lib;
Procedure Set_Eco_Off; cdecl; external lib;
Procedure Set_Eco_On; cdecl; external lib;
Function Set_Interface(interf:Pchar):integer; cdecl; external lib;
Function Set_MClient(client:integer):integer; cdecl; external lib;
Procedure Set_Next_State(delay:integer); cdecl; external lib;
Procedure Set_Num; cdecl; external lib;
Function Set_Page0:Boolean; cdecl; external lib;
Function Set_Page1:Boolean; cdecl; external lib;
Procedure Set_Port(port:Word); cdecl; external lib;
Function Set_SClient(client:integer):integer; cdecl; external lib;
Procedure Set_Scrl; cdecl; external lib;
Procedure Set_Single_thread; cdecl; external lib;
Procedure Set_State(state,delay:integer); cdecl; external lib;
Procedure Set_Udg(caracter,def0,def1,def2,def3,def4,def5,def6,def7:byte); cdecl; external lib;
Procedure Start_Machine; cdecl; external lib;
Procedure Start_Server(M_CONNECT,M_COMMUNIC:TMsg); cdecl; external lib;
Function State_Ascii(Lparam:longword):char; cdecl; external lib;
Procedure State_Proccess(_Lparam:longword); cdecl; external lib;
Function State_Scan(Lparam:longword):char; cdecl; external lib;
Function State_String(Sstr:Pchar):Pchar; cdecl; external lib;
Procedure State_Timer; cdecl; external lib;
Procedure Stop_Machine; cdecl; external lib;
Procedure S_Mode_Off; cdecl; external lib;
Procedure S_Mode_On; cdecl; external lib;
Procedure Unlock_All; cdecl; external lib;
Function Unlock_Ip(client:integer):boolean; cdecl; external lib;

{------------------------------------------------------------------------------
   Nao achei: Get_Caps, Get_Num, Get_Scrl.
------------------------------------------------------------------------------}

